edu.isi.pegasus.planner.catalog.site.classes

## Class SharedDirectory

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.DirectoryLayout
      - - edu.isi.pegasus.planner.catalog.site.classes.SharedDirectory

All Implemented Interfaces:
  java.lang.Cloneable

    public class SharedDirectory
    extends DirectoryLayout

This data class represents a shared directory on a site. Can be local scratch or local storage.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.DirectoryLayout

`mFileServers, mInternalMount`

### Constructor Summary

Constructors
Constructor and Description
`SharedDirectory()` The default constructor.
`SharedDirectory(java.util.Map<FileServerType.OPERATION,java.util.List<FileServer>> fs, InternalMountPoint imt)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(SiteDataVisitor visitor)` Accepts the visitor and calls visit method on the visitor accordingly
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.DirectoryLayout

`addFileServer, clone, getFileServers, getFileServersIterator, getInternalMountPoint, hasFileServerForGETOperations, hasFileServerForOperations, hasFileServerForPUTOperations, isEmpty, resetFileServers, selectFileServer, setFileServers, setInternalMountPoint`

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedDirectory

    public SharedDirectory()

The default constructor.

#### SharedDirectory

    public SharedDirectory(java.util.Map<FileServerType.OPERATION,java.util.List<FileServer>> fs,
                           InternalMountPoint imt)

The overloaded constructor

Parameters:
  `fs` - list of file servers
  `imt` - the internal mount point.

### Method Detail

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Specified by:
  `toXML` in class `AbstractSiteData`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### accept

    public void accept(SiteDataVisitor visitor)
                throws java.io.IOException

Accepts the visitor and calls visit method on the visitor accordingly

Specified by:
  `accept` in class `AbstractSiteData`
Parameters:
  `visitor` -
Throws:
  `java.io.IOException` - if something fishy happens to the stream.